> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://api.hublinks.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://api.hublinks.io/_mcp/server.

# Get profile

GET https://hublinks.io/rest/accounts/{account_id}/campaigns/{campaign_id}/profiles/{profile_id}

Get a single profile.

Reference: https://api.hublinks.io/api-reference/campaigns/profiles/get-profile

## Authentication

- `X-API-KEY` header (required) — API Key authentication via header

## Request

### Path parameters

- `account_id` (string, required)
- `campaign_id` (string, required)
- `profile_id` (string, required)

## Response

### 200

Successful response

- `success` (boolean, required)
- `profile` (Profile, optional)

## Types

### Profile

- `id` (string, optional)
- `campaign_id` (string, optional)
- `account_id` (string, optional)
- `seat_id` (string, optional)
- `filter_id` (string, optional)
- `status` (enum, optional)
  - Allowed values: `PENDING`, `INIT`, `RUN`, `NEED_ENRICH`, `NEED_SQS_ENRICH`, `DONE`, `SKIP`, `LOCKED`, `ERROR_FIELD`, `ERROR_ENRICH`, `ERROR_SEND`, `ERROR_WORKFLOW`, `ERROR_NODE`, `ERROR`, `BLACKLISTED`
- `source` (string, optional)
- `ln_profile_id` (string, optional)
- `ln_public_id` (string, optional)
- `ln_member_id` (string, optional)
- `urn_sn` (string, optional)
- `ln_profile_url` (string, optional)
- `email_business` (string, optional)
- `phone_mobile` (string, optional)
- `first_name` (string, optional)
- `last_name` (string, optional)
- `full_name` (string, optional)
- `job_title` (string, optional)
- `ln_headline` (string, optional)
- `ln_degree` (integer, optional)
- `ln_premium` (boolean, optional)
- `ln_open_link` (boolean, optional)
- `ln_influencer` (boolean, optional)
- `ln_verified` (boolean, optional)
- `comp_id` (string, optional)
- `comp_name` (string, optional)
- `comp_website` (string, optional)
- `comp_industry_name` (string, optional)
- `comp_location_region` (string, optional)
- `custom_field_1` (string, optional)
- `custom_field_2` (string, optional)
- `custom_field_3` (string, optional)
- `custom_field_4` (string, optional)
- `custom_field_5` (string, optional)
- `custom_field_6` (string, optional)
- `opportunity_score` (integer, optional)
- `signals` (ProfileSignals, optional)
- `outreach_approved_at` (integer, optional)
- `last_action` (string, optional)
- `last_action_at` (double, optional)
- `next_action` (string, optional)
- `ln_connected_at` (integer, optional)
- `ln_profile_invited_at` (integer, optional)
- `ln_page_invited_at` (integer, optional)
- `ln_profile_message_at` (integer, optional)
- `ln_profile_replied_at` (integer, optional)
- `ln_company_replied_at` (integer, optional)
- `ln_profile_inmail_count` (integer, optional)
- `ln_profile_message_count` (integer, optional)
- `ln_company_message_count` (integer, optional)
- `ln_profile_replies_count` (integer, optional)
- `ln_company_replies_count` (integer, optional)
- `ln_post_reaction` (string, optional)
- `email_sent_count` (integer, optional)
- `email_sent_at` (integer, optional)
- `email_replies_count` (integer, optional)
- `email_replied_at` (integer, optional)
- `email_opened_count` (integer, optional)
- `email_opened_at` (integer, optional)
- `email_unsubscribed_count` (integer, optional)
- `email_unsubscribed_at` (integer, optional)
- `created_at` (integer, optional)

### ProfileSignals

## Examples

**Response**

```json
{
  "success": true,
  "profile": {
    "id": "XXXXXXXXX",
    "campaign_id": "CAMP1XXXXXXXXXXXXXXXXXXX",
    "account_id": "ACCOXXXXXXXXXXXXXXXXXXXX",
    "seat_id": "SEAT2XXXXXXXXXXXXXXXXXXX",
    "filter_id": "FILT1XXXXXXXXXXXXXXXXXXX",
    "status": "DONE",
    "first_name": "Jane",
    "last_name": "Doe",
    "full_name": "Jane Doe",
    "job_title": "VP Sales",
    "ln_headline": "VP Sales at Example Inc",
    "ln_degree": 2,
    "comp_name": "Example Inc",
    "comp_website": "https://example.com",
    "comp_industry_name": "Hospitality",
    "comp_location_region": "US, CA, Los Angeles",
    "last_action": "ln_profile_inmail",
    "last_action_at": 1753896035775,
    "next_action": "ln_profile_inmail",
    "ln_profile_message_at": 1753896030002,
    "ln_profile_replied_at": 1753896029108,
    "ln_profile_inmail_count": 1
  }
}
```

**SDK Code**

```python Response
import requests

url = "https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles/profile_id"

headers = {"X-API-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles/profile_id';
const options = {method: 'GET', headers: {'X-API-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles/profile_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles/profile_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles/profile_id")
  .header("X-API-KEY", "<apiKey>")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles/profile_id', [
  'headers' => [
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles/profile_id");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = ["X-API-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://hublinks.io/rest/accounts/account_id/campaigns/campaign_id/profiles/profile_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```